FREESRP-IO(1)

NAME
freesrp-io - FreeSRP signal I/O tool

DESCRIPTION
usage: freesrp-io [options] -ofilename

    input/output format is complex signed 16-bit

  options:

-h, --help
    Print usage and exit

-o[filename], --out=[filename] Output to specified file ('-o-' for stdout)

-i[filename], --in=[filename]
    Read from specified file ('-i-' for stdin)

--fpga=/path/to/bitstream.bin
    Load the FPGA with the specified bitstream

-t, --tx
    Enable the transmitter

-l, --loopback
    Put transceiver in loopback mode

-f[freq], --freq=[freq]
    Center frequency in hertz (70e6 to 6e9)

-b[bw], --bandwidth=[bw]
    Bandwidth in hertz (1e6 to 61.44e6)

-g[gain], --gain=[gain]
    Gain in decibels (0 to 74)

example: freesrp-io -f2.42e9 -b4e6 -g30 -o-

SEE ALSO
freesrv-ctl(1)